> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vertgroup.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Register Worker



## OpenAPI

````yaml https://api.vertgroup.com.br/openapi.json post /automations/{automation_id}/worker
openapi: 3.1.0
info:
  title: SGG Automation — DOM Med
  version: 1.0.0
servers: []
security: []
paths:
  /automations/{automation_id}/worker:
    post:
      tags:
        - 01.Automation
      summary: Register Worker
      operationId: register_worker_automations__automation_id__worker_post
      parameters:
        - name: automation_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Automation Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegisterWorkerRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateWorkerResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    RegisterWorkerRequest:
      properties:
        cloud_instance_id:
          type: string
          maxLength: 64
          minLength: 1
          title: Cloud Instance Id
      type: object
      required:
        - cloud_instance_id
      title: RegisterWorkerRequest
    CreateWorkerResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Identificador unico do recurso recem-criado.
          examples:
            - 3fa85f64-5717-4562-b3fc-2c963f66afa6
        api_key:
          type: string
          title: Api Key
      type: object
      required:
        - id
        - api_key
      title: CreateWorkerResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````